C     Example FORTRAN 77 source using FORTRAN table output by MMS to configure
C     a transputer network.
C
C     See manual for more information


      SUBROUTINE BOOTC004 (booted, reply)
      INTEGER booted, reply
      INCLUDE 'chan.inc'

C     fortran table output by the MMS
      INCLUDE 'table.inc'

      INTEGER line, part
      LOGICAL ERROR
      EXTERNAL F77_CHAN_OUT_PORT, F77_CHAN_IN_PORT

      booted = 0
      line = 1
      ERROR = .FALSE.

100   CONTINUE
        part = 0

110   CONTINUE
        part = part + 1
        CALL F77_CHAN_OUT_BYTE (BC(line, part), F77_CHAN_LINK1OUTPUT)
        booted=booted + 1

C       PRINT 1, booted, BC(line, part)
C 1       FORMAT ('Byte ',I5,' booted with ',I4)

        IF (booted .EQ. COUNT) THEN
          GOTO 200
        ELSE IF (booted .EQ. WAIT) THEN
          CALL F77_CHAN_IN_WORD (reply, F77_CHAN_LINK1INPUT)
          reply = reply + 1
        ENDIF
        IF (part .EQ. 16) THEN
          line = line + 1
          GOTO 100
        ENDIF
        GOTO 110

200   CONTINUE
      RETURN
      END


      PROGRAM EXAMPLE
      INTEGER booted, reply

      PRINT*, "Booting T2 chain ..."
      CALL BOOTC004(booted, reply)
      PRINT 1, booted
1     FORMAT ('Booted T2 chain with ',I5,' bytes.')
      PRINT 2, reply
2     FORMAT ('Size of T2 chain: ',I5)
      STOP
      END
